Subject: Re: bug#20149: Cannot byte-compile 'undo-tree' since commit 801eda8a2

From: Tassilo Horn <[email-masked]>
Date: Fri, 20 Mar 2015 08:46:34 +0100

Vladimir Lomov <[email-masked]> writes:

> I was able to byte-compile 'undo-tree' package using Emacs from
> commit f925fc93 but since that commit Emacs stops compilation with
> message:
>
>   In undo-tree-update-menu-bar:
>   undo-tree.el:1232:7:Warning: reference to free variable `undo-tree-mode'
>   undo-tree.el:1481:1:Error: Symbol's function definition is void: undo-tree-make-node
>
> I don't think this is a problem of the package, because the next four
> commits: 801eda8a2, a961dcedeb, b0743354e, 508049aa have some
> trouble(s), so I wasn't able to compile Emacs. Below is terminal output
> before the stop:
>
>   Loading /home/vladimir/works/projects/pkgbuild/emacs/src/emacs/lisp/select.el (source)...
>   Loading
> /home/vladimir/works/projects/pkgbuild/emacs/src/emacs/lisp/emacs-lisp/timer.el
> (source)...
>   Eager macro-expansion failure: (void-function cl-every)
>   Eager macro-expansion failure: (void-function cl-every)
>   Symbol's function definition is void: cl-every

This has already been reported as bug#20125, and it's already fixed.

Could you please verify that compiling undo-tree works again with the
current emacs git version?  If so, feel free to close this bug by
replying to [email-masked].

Bye,
Tassilo